;;; oni-ui.el --- Common UI settings                 -*- lexical-binding: t; -*-

;; Copyright (C) 2019  Tom Willemse

;; Author: Tom Willemse <tom@ryuslash.org>
;; Keywords: local
;; Version: 20190226003630

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

;;; Commentary:

;; Common settings for UI, regardless of which type (GUI, TUI).

;;; Code:

(require 'tool-bar)

(menu-bar-mode -1)
(tool-bar-mode -1)

(blink-cursor-mode -1)

(setq inhibit-startup-screen t)

;;;###autoload(require 'oni-ui)

(provide 'oni-ui)
;;; oni-ui.el ends here
